Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class TaskHandler

    java.lang.Object
      org.drools.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.TaskHandler

All Implemented Interfaces:
  org.drools.xml.Handler

Direct Known Subclasses:
  ManualTaskHandler, ReceiveTaskHandler, SendTaskHandler, ServiceTaskHandler, UserTaskHandler

    public class TaskHandler

extends AbstractNodeHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL`

Fields inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`TaskHandler()`

Method Summary
`protected Node` | `createNode(Attributes attrs)`
`Object` | `end(String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`Class<?>` | `generateNodeFor()`
`protected String` | `getTaskName(Element element)`
`protected void` | `handleForEachNode(Node node, Element element, String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`protected void` | `readDataInputAssociation(Node xmlNode, ForEachNode forEachNode)`
`protected void` | `readDataInputAssociation(Node xmlNode, WorkItemNode workItemNode, Map<String,String> dataInputs)`
`protected void` | `readDataOutputAssociation(Node xmlNode, WorkItemNode workItemNode, Map<String,String> dataOutputs)`
`protected void` | `readMultiInstanceLoopCharacteristics(Node xmlNode, ForEachNode forEachNode, org.drools.xml.ExtensibleXmlParser parser)`
`void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`endNode, endNode, extractScript, handleScript, initValidParents, initValidPeers, readIoSpecification, start, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### TaskHandler

    public TaskHandler()

Method Detail

### createNode

    protected Node createNode(Attributes attrs)

  Specified by:
    `createNode` in class `AbstractNodeHandler`

### generateNodeFor

    public Class<?> generateNodeFor()

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Overrides:
    `handleNode` in class `AbstractNodeHandler`
  Throws:
    `SAXException`

### getTaskName

    protected String getTaskName(Element element)

### readDataInputAssociation

    protected void readDataInputAssociation(Node xmlNode,
                                            WorkItemNode workItemNode,
                                            Map<String,String> dataInputs)

### readDataOutputAssociation

    protected void readDataOutputAssociation(Node xmlNode,
                                             WorkItemNode workItemNode,
                                             Map<String,String> dataOutputs)

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          int metaDataType)

  Specified by:
    `writeNode` in class `AbstractNodeHandler`

### end

    public Object end(String uri,
                      String localName,
                      org.drools.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.xml.Handler`
  Overrides:
    `end` in class `AbstractNodeHandler`
  Throws:
    `SAXException`

### readDataInputAssociation

    protected void readDataInputAssociation(Node xmlNode,
                                            ForEachNode forEachNode)

### handleForEachNode

    protected void handleForEachNode(Node node,
                                     Element element,
                                     String uri,
                                     String localName,
                                     org.drools.xml.ExtensibleXmlParser parser)
                              throws SAXException

  Throws:
    `SAXException`

### readMultiInstanceLoopCharacteristics

    protected void readMultiInstanceLoopCharacteristics(Node xmlNode,
                                                        ForEachNode forEachNode,
                                                        org.drools.xml.ExtensibleXmlParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.